## kamerka 0.8.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project (kamerka)

SET(CMAKE_CXX_FLAGS "-Wall")

SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/modules)

find_package(Qt4 REQUIRED)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include_directories(${KDE4_INCLUDES})

find_package(LibV4L2 REQUIRED)
include_directories(${LIBV2L2_INCLUDE_DIR})

find_package(LibV4LConvert REQUIRED)
include_directories(${LIBV2LCONVERT_INCLUDE_DIR})

add_subdirectory(src)
add_subdirectory(po)
add_subdirectory(data)

=== data/CMakeLists.txt ===
install(FILES kamerka.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES camera_click.ogg timer.ogg kamerka.notifyrc DESTINATION "${DATA_INSTALL_DIR}/kamerka")
install(FILES kamerka.png DESTINATION ${ICON_INSTALL_DIR})
install(FILES kamerka.1 DESTINATION "${MAN_INSTALL_DIR}/man1")

=== po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
        MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)

        SET(catalogname kamerka)

        ADD_CUSTOM_TARGET(translations ALL)

        FILE(GLOB PO_FILES *.po)

        FOREACH(_poFile ${PO_FILES})
                GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
                STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
                STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )

                IF( _langCode )
                        GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
                        SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

                        ADD_CUSTOM_COMMAND(TARGET translations
                                COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
                                DEPENDS ${_poFile})
                        INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
                ENDIF( _langCode )

        ENDFOREACH(_poFile ${PO_FILES})

ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== src/CMakeLists.txt ===
SET(kamerka_SRCS 
  main.cpp
  mainwindow.cpp
  videowidget.cpp
  capturethread.cpp
  kamerka.qml
  Button.qml
  settingsdialog.cpp
  kamerka.kcfg
)

SET(kamerka_RCCS kamerka.qrc)

SET(kamerka_KCFGCS settings.kcfgc)
SET(kamerka_KCFGS kamerka.kcfg)

qt4_add_resources(kamerka_RCC_SRCS ${kamerka_RCCS})

kde4_add_kcfg_files(kamerka_SRCS ${kamerka_KCFGCS})

kde4_add_executable(kamerka ${kamerka_SRCS} ${kamerka_RCC_SRCS})
target_link_libraries(kamerka ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${QT_QTDECLARATIVE_LIBRARY} ${QT_QTSCRIPT_LIBRARY} ${KDE4_PHONON_LIBS} ${LIBV4L2_LIBRARY} ${LIBV4LCONVERT_LIBRARY})

install(TARGETS kamerka DESTINATION ${BIN_INSTALL_DIR})
install(FILES ${kamerka_KCFGS} DESTINATION ${KCFG_INSTALL_DIR})

=== debian/changelog ===
kamerka (0.8.1-1) unstable; urgency=low

  * Initial release (Closes: #634074, #629218)

 -- Sebastian Krzyszkowiak <dos@dosowisko.net>  Sat, 24 Jul 2011 15:01:45 +0200

=== debian/control ===
Source: kamerka
Section: kde
Priority: optional
Maintainer: Sebastian Krzyszkowiak <dos@dosowisko.net>
Build-Depends: debhelper (>= 8), cmake, kdelibs5-dev (>= 4:4.6), libqt4-dev (>= 4:4.7), libv4l-dev, pkg-config
Standards-Version: 3.9.2
Homepage: http://dos1.github.com/kamerka/
Vcs-Git: git://github.com/dos1/kamerka.git
Vcs-Browser: http://github.com/dos1/kamerka

Package: kamerka
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xdg-utils
Suggests: dolphin, gimp, inkscape
Description: shiny photo taking application
 Kamerka is a KDE application which uses Video4Linux to get image from
 webcam, with ability to save photos. It features easy to use, animated
 and well-integrated user interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

%:
	dh $@

=== debian/watch ===
version=3
http://dosowisko.net/kamerka/downloads/kamerka-(.*)\.tar\.gz debian uupdate
